%global pypi_name chainer
%global pypi_version 7.8.1

# Where the src comes from
%global forgeurl https://github.com/chainer/chainer

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        A flexible framework of neural networks

License:        MIT AND BSD-3-Clause AND Apache-2.0
# The main license is MIT
# There are a few other files with additional licenses
# BSD-3-Clause:
#  chainerx_cc/
# Apache-2:
#  chainer/functions/pooling/roi_average_pooling_2d.py
#  chainer/functions/pooling/roi_max_pooling_2d.py
#  chainer/functions/pooling/roi_pooling_2d.py

URL:            https://chainer.org
Source0:        %{forgeurl}/archive/refs/tags/v%{version}.tar.gz#/%{pypi_name}-%{pypi_version}.tar.gz
Patch0:         0001-Remove-osx-numpy-check.patch

BuildArch:      noarch

BuildRequires:  pytest
BuildRequires:  python3-devel

%description
Chainer is a Python-based deep learning framework aiming at flexibility.
It provides automatic differentiation APIs based on the define-by-run
approach (a.k.a. dynamic computational graphs) as well as object-oriented
high-level APIs to build and train neural networks.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Chainer is a Python-based deep learning framework aiming at flexibility.
It provides automatic differentiation APIs based on the define-by-run
approach (a.k.a. dynamic computational graphs) as well as object-oriented
high-level APIs to build and train neural networks.

%prep
%autosetup -p1 -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pyproject_check_import

%files -n python3-%{pypi_name}
%license LICENSE chainerx_cc/LICENSE.txt
%doc README.md
%{python3_sitelib}/chainermn
%{python3_sitelib}/chainerx
%{python3_sitelib}/onnx_chainer
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}.dist-info


%changelog
* Fri Jan 19 2024 Tom Rix <trix@redhat.com> - 7.8.1-1
- Initial package.
